## python-pypump 0.3%2Bgit20130823.1.97bffc6

=== debian/rules ===
#!/usr/bin/make -f
PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build python-pypump.egg-info
	rm -rf docs/_build/

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pypump; \
	done

	# set -e && for pyvers in $(PYTHON3S); do \
	# 	python$$pyvers setup.py install --install-layout=deb \
	# 		--root $(CURDIR)/debian/python3-pypump; \
	# done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
http://pypi.python.org/packages/source/P/PyPump/ PyPump-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pypump 0.3+git20130823.1.97bffc6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyPump.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyPump.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyPump"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyPump"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pypump (0.3+git20130823.1.97bffc6-1) unstable; urgency=low

  * Initial release. Closes: 721098

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sat, 31 Aug 2013 14:26:12 -0500

=== debian/control ===
Source: python-pypump
Maintainer: Simon Fondrie-Teitler <simonft@riseup.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-sphinx,
#               python3-all,
#               python3-setuptools
Homepage: https://github.com/xray7224/PyPump
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pypump.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pypump.git

Package: python-pypump
Architecture: all
Depends: python (>= 2.7), python-requests, ${misc:Depends}, ${python:Depends}
Description: interface to the pump.io APIs (Python 2)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump Python module for Python 2.x.

# Package: python3-pypump
# Architecture: all
# Depends: ${misc:Depends}, ${python3:Depends}, python3-requests, python3-requests-ouathlib
# Description: interface to the pump.io APIs (Python 3)
#  PyPump provides an interface to the pump.io APIs. The aim is to
#  provide very natural pythonic representations of Notes, Images,
#  People, etc... allowing you to painlessly interact with them.
#  .
#  This package provides the pypump Python module for Python 3.x.

Package: python-pypump-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: interface to the pump.io APIs (Common Documentation)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the common documentation for the pypump Python
 module.

## python-pypump 0.6

=== debian/changelog ===
python-pypump (0.6-1) unstable; urgency=low

  * New upstream version (Closes: #740990).
    Note: 0.5-1+dfsg-1 has never been pushed to archive.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 13 May 2015 17:25:09 +0000

python-pypump (0.5-1+dfsg-1) unstable; urgency=low

  * Package new upstream version
  * Bump standards version
  * Add python3 version of package
  * Add pypump-shell package
  * Suggest OpenSSL

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sun, 16 Mar 2014 19:16:44 -0500

=== debian/control ===
Source: python-pypump
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>, W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-sphinx,
               python3-all,
               python3-setuptools,
               dh-python,
# These aren't needed until we can use help2man to generate the manpage for pypump-shell
#              python-oauthlib,
#              python-requests-oauthlib,
#              python-six (>= 1.6),
#              help2man,
Homepage: https://github.com/xray7224/PyPump
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-pypump.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pypump.git

Package: python-pypump
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python (>= 2.7),
         python-requests,
         python-requests-oauthlib,
         python-pyasn1,
Suggests: python-openssl,
Description: interface to the pump.io APIs (Python 2)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump Python module for Python 2.x.

Package: python3-pypump
Architecture: all
Depends: ${misc:Depends}, 
         ${python3:Depends}, 
         python3-requests, 
         python3-requests-oauthlib
Description: interface to the pump.io APIs (Python 3)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump Python module for Python 3.x.

Package: pypump-shell
Architecture: all
Depends: ${misc:Depends},
         python (>= 2.7),
         python-pypump (>= 0.6),
         ipython
Description: interface to the pump.io APIs (pypump-shell program)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump-shell program, which sets up an
 environment and oauth tokens and allows for interactive testing.

Package: python-pypump-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: interface to the pump.io APIs (Common Documentation)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the common documentation for the pypump Python
 module.

## python-pypump 0.7

=== docs/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 #
 
 # You can set these variables from the command line.
+PYTHON		  = `which python`
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = $(PYTHON) `which sphinx-build`
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
python-pypump (0.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:26:33 -0400

python-pypump (0.7-3) unstable; urgency=medium

  * debian/control
    - replace ipython dep with python3-ipython, as that's the package containing
      the modules used by the shell; Closes: #938086
  * remove useless debian/gbp.conf

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Mar 2020 11:38:50 -0500

python-pypump (0.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support (Closes: #938086):
    - Use sphinx directly instead of doc/Makefile to use Python 3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 15:01:10 +0200

python-pypump (0.7-1) unstable; urgency=medium

  * New upstream version (Closes: #840764).
  [ Ondřej Nový <novy@ondrej.org>, 2016-03-29 ]
  * Fixed VCS URL (https)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 14 Oct 2016 21:38:16 +0000

=== debian/control ===
Source: python-pypump
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               python3-sphinx,
               python3-all,
               python3-setuptools,
               dh-python,
# These aren't needed until we can use help2man to generate the manpage for pypump-shell
#              python-oauthlib,
#              python-requests-oauthlib,
#              python-six (>= 1.6),
#              help2man,
Homepage: https://github.com/xray7224/PyPump
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pypump.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pypump

Package: python3-pypump
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-requests,
         python3-requests-oauthlib
Description: interface to the pump.io APIs (Python 3)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump Python module for Python 3.x.

Package: pypump-shell
Architecture: all
Depends: ${misc:Depends},
         python3,
         python3-pypump (= ${binary:Version}),
         python3-ipython,
Description: interface to the pump.io APIs (pypump-shell program)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the pypump-shell program, which sets up an
 environment and oauth tokens and allows for interactive testing.

Package: python-pypump-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: interface to the pump.io APIs (Common Documentation)
 PyPump provides an interface to the pump.io APIs. The aim is to
 provide very natural pythonic representations of Notes, Images,
 People, etc... allowing you to painlessly interact with them.
 .
 This package provides the common documentation for the pypump Python
 module.

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	set -e && for pyvers in $(PYTHON3S); do \
	 	python$$pyvers setup.py clean; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build python-pypump.egg-info
	rm -rf docs/_build/

override_dh_auto_build:
	set -e && for pyvers in $(PYTHON3S); do \
	 	python$$pyvers setup.py build; \
	done

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-pypump-doc/usr/share/doc/python-pypump-doc/html
	dh_sphinxdoc

	# # This version pypump-shell needs the path $HOME/.config/
	# # to exist for it to build correctly, so I'm adding it
	# # manually for now.
	# help2man --no-info \
	# -n 'sets up an environment and oauth tokens and allows for interactive testing' \
	# --version-string=0.5.1 "/usr/bin/env python2.7 $(CURDIR)/pypump-shell" > $(CURDIR)/debian/pypump-shell.1

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
	 	python$$pyvers setup.py install --install-layout=deb \
	 		--root $(CURDIR)/debian/python3-pypump; \
	done
	# Remove the python-shell script, since it gets installed in another package
	rm -r $(CURDIR)/debian/python3-pypump/usr/bin/

override_dh_install:
	dh_install
	sed -i '1 s/python/python3/' $(CURDIR)/debian/pypump-shell/usr/bin/pypump-shell

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pypump-$1\.tar\.gz/ \
  https://github.com/xray7224/PyPump/tags .*/v?(\d\S*)\.tar\.gz
